#ifndef __primitives_h
#define __primitives_h

#define AMBIENT 0
#define DIFFUSE 1
#define SPECULAR 2

typedef struct {
  tPoint vertex[3];
  tVector normal[3];
  tVector vertexColor[3];
  tVector diffuseColor; // ako odraza svetlo
  tVector emission;     // ako svieti
  tVector incidentLight, excidentLight; 
  int id;
} tTriangle;

#endif
